#include <p18cxxx.h>
#include "eeprom.h"

int readIntEE(unsigned char address){
	union INTCHAR {
		int i;
		unsigned char c[2];
	}INTCHAR;
	INTCHAR.c[0]=EEDataR(address);
	INTCHAR.c[1]=EEDataR(address+1);
	return INTCHAR.i;
}	
	
void writeIntEE(unsigned char address, int dataInt){
	union INTCHAR {
		int i;
		unsigned char c[2];
	}INTCHAR;
	INTCHAR.i=dataInt;
	EEDataW(address, INTCHAR.c[0]);
	EEDataW((address+1), INTCHAR.c[1]);
}

float readFloatEE(unsigned char address){
	union FLOATCHAR {
		float f;
		unsigned char c[4];
	}FLOATCHAR;
	FLOATCHAR.c[0]=EEDataR(address);
	FLOATCHAR.c[1]=EEDataR(address+1);
	FLOATCHAR.c[2]=EEDataR(address+2);
	FLOATCHAR.c[3]=EEDataR(address+3);
	return FLOATCHAR.f;
}	
	
void writeFloatEE(unsigned char address, float dataFloat){
	union FLOATCHAR {
		float f;
		unsigned char c[4];
	}FLOATCHAR;
	FLOATCHAR.f=dataFloat;
	EEDataW(address, FLOATCHAR.c[0]);
	EEDataW((address+1), FLOATCHAR.c[1]);
	EEDataW((address+2), FLOATCHAR.c[2]);
	EEDataW((address+3), FLOATCHAR.c[3]);
}
	
char EEDataR(unsigned char address){
	EEADR = address;
	EECON1bits.EEPGD = 0;
	EECON1bits.CFGS = 0;
	EECON1bits.RD = 1;
	return EEDATA;
}	

void EEDataW(unsigned char address, unsigned char data){
	char tempIntconState;

	EEADR = address;
	EEDATA = data;
	EECON1bits.EEPGD = 0;
	EECON1bits.CFGS = 0;
	EECON1bits.WREN = 1;
	tempIntconState=INTCON;
	INTCONbits.GIE = 0;
	
	EECON2 = 0x55;
	EECON2 = 0xAA;
	EECON1bits.WR = 1;
	
	while (EECON1bits.WR);
	EECON1bits.WREN=0;
	INTCON=tempIntconState;
}

