/** I N C L U D E S **********************************************************/
#include <p18cxxx.h>
#include <usart.h>
#include "system\typedefs.h"
#include "system\usb\usb.h"
#include "io_cfg.h"             // I/O pin mapping
#include "user\user.h"
#include <stdlib.h>
#include "usb_send.h"




void usb_write_int_hex(unsigned int iChar){
	unsigned char i;
    unsigned int iTempChar = iChar;
	char buffer[6];
	for(i=0;i<4;i++){
		switch(iTempChar & 0xF000) {
		case 0x0000:  buffer[i] = 0x30; break;
		case 0x1000:  buffer[i] = 0x31; break;
		case 0x2000:  buffer[i] = 0x32; break;
		case 0x3000:  buffer[i] = 0x33; break;
		case 0x4000:  buffer[i] = 0x34; break;
		case 0x5000:  buffer[i] = 0x35; break;
		case 0x6000:  buffer[i] = 0x36; break;
		case 0x7000:  buffer[i] = 0x37; break;
		case 0x8000:  buffer[i] = 0x38; break;
		case 0x9000:  buffer[i] = 0x39; break;
		case 0xA000:  buffer[i] = 0x41; break;
		case 0xB000:  buffer[i] = 0x42; break;
		case 0xC000:  buffer[i] = 0x43; break;
		case 0xD000:  buffer[i] = 0x44; break;
		case 0xE000:  buffer[i] = 0x45; break;
		case 0xF000:  buffer[i] = 0x46; break;
		}
		iTempChar = iTempChar << 4;
	}
		buffer [4] = 0x0d;
		buffer [5] = 0x0a;
		buffer [6] = 0x00;
  		mUSBUSARTTxRam((byte*)buffer,6); 
}

void usb_write_int_bin(unsigned int iChar){
	unsigned char i;
    unsigned int iTempChar;
    char buffer[18];	
    iTempChar = iChar;
	for(i=0;i<16;i++){
		if((iTempChar & 0x8000) !=0)
		buffer [i] = 0x31;//	putrsUSBUSART("1");	
		else
		buffer [i] = 0x30;		//	putrsUSBUSART("0"); 
		iTempChar = iTempChar << 1;
	}
		buffer [16] = 0x0d;
		buffer [17] = 0x0a;
		buffer [18] = 0x00;
  		mUSBUSARTTxRam((byte*)buffer,18);  
}



void usb_write_char_hex(unsigned char iChar){
	unsigned char i;
    unsigned char iTempChar = iChar;
	char buffer[4];
	for(i=0;i<2;i++){
		switch(iTempChar & 0xF0) {
		case 0x00:  buffer[i] = 0x30; break;
		case 0x10:  buffer[i] = 0x31; break;
		case 0x20:  buffer[i] = 0x32; break;
		case 0x30:  buffer[i] = 0x33; break;
		case 0x40:  buffer[i] = 0x34; break;
		case 0x50:  buffer[i] = 0x35; break;
		case 0x60:  buffer[i] = 0x36; break;
		case 0x70:  buffer[i] = 0x37; break;
		case 0x80:  buffer[i] = 0x38; break;
		case 0x90:  buffer[i] = 0x39; break;
		case 0xA0:  buffer[i] = 0x41; break;
		case 0xB0:  buffer[i] = 0x42; break;
		case 0xC0:  buffer[i] = 0x43; break;
		case 0xD0:  buffer[i] = 0x44; break;
		case 0xE0:  buffer[i] = 0x45; break;
		case 0xF0:  buffer[i] = 0x46; break;
		}
		iTempChar = iTempChar << 4;
	}
		buffer [2] = 0x0d;
		buffer [3] = 0x0a;
		buffer [4] = 0x00;
  		mUSBUSARTTxRam((byte*)buffer,4); 
}

void usb_write_char_bin(unsigned char iChar){
	unsigned char i;
    unsigned char iTempChar;
    char buffer[10];	
    iTempChar = iChar;
	for(i=0;i<8;i++){
		if((iTempChar & 0x80) !=0)
		buffer [i] = 0x31;//	putrsUSBUSART("1");	
		else
		buffer [i] = 0x30;		//	putrsUSBUSART("0"); 
		iTempChar = iTempChar << 1;
	}
		buffer [8] = 0x0d;
		buffer [9] = 0x0a;
		buffer [10] = 0x00;
  		mUSBUSARTTxRam((byte*)buffer,10);  
}